#define Serial SerialUSB
#include <Wire.h>
#include "VL53L0X.h"
#include <Wireling.h>         // Interfacing with Wirelings

VL53L0X ToFsensor;            // Create instance of the class (i2c addr = 0x29) 
const int sensors = 1;

void setup() {
  delay(200);                 // Sensor Startup time
  Serial.begin(9600);
  Wire.begin();
  Wireling.begin();          
  for (int i=0; i<sensors; i++) {
    Wireling.selectPort(i*3); // VL53L0X on Wireling Adapter port0 and port3
    ToFsensor.init();
    ToFsensor.setTimeout(500);
    ToFsensor.setMeasurementTimingBudget(200000);
    ToFsensor.startContinuous();
  }
}

void loop() {
 unsigned long VL53L0Xdata[2];
  for  (int i=0; i<sensors; i++) { 
    Wireling.selectPort(i*3);
    VL53L0Xdata[i] = ToFsensor.readRangeContinuousMillimeters();
  }
  if (sensors==2) Serial.println((String) VL53L0Xdata[0] + "," + VL53L0Xdata[1]);
  else Serial.println(VL53L0Xdata[0]);
}
